# Uses of Interface
org.gitana.platform.client.api.AuthenticationGrant

Packages that use AuthenticationGrant
Package
Description
org.gitana.platform.client.api
org.gitana.platform.client.platform
org.gitana.platform.client.support

## Uses of AuthenticationGrant in org.gitana.platform.client.api

Classes in org.gitana.platform.client.api that implement AuthenticationGrant
Modifier and Type
Class
Description
`class`
`AuthenticationGrantImpl`

## Uses of AuthenticationGrant in org.gitana.platform.client.platform

Methods in org.gitana.platform.client.platform that return AuthenticationGrant
Modifier and Type
Method
Description
`AuthenticationGrant`
Platform.`createAuthenticationGrant(com.fasterxml.jackson.databind.node.ObjectNode object)`
`AuthenticationGrant`
Platform.`createAuthenticationGrant(Client client, DomainUser user)`
`AuthenticationGrant`
PlatformImpl.`createAuthenticationGrant(com.fasterxml.jackson.databind.node.ObjectNode object)`
`AuthenticationGrant`
PlatformImpl.`createAuthenticationGrant(Client client, DomainUser user)`
`AuthenticationGrant`
Platform.`readAuthenticationGrant(String clientId)`
`AuthenticationGrant`
PlatformImpl.`readAuthenticationGrant(String authenticationGrantId)`
Methods in org.gitana.platform.client.platform that return types with arguments of type AuthenticationGrant
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<AuthenticationGrant>`
Platform.`listAuthenticationGrants()`
`org.gitana.platform.support.ResultMap<AuthenticationGrant>`
Platform.`listAuthenticationGrants(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<AuthenticationGrant>`
PlatformImpl.`listAuthenticationGrants()`
`org.gitana.platform.support.ResultMap<AuthenticationGrant>`
PlatformImpl.`listAuthenticationGrants(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<AuthenticationGrant>`
Platform.`queryAuthenticationGrants(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<AuthenticationGrant>`
Platform.`queryAuthenticationGrants(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<AuthenticationGrant>`
PlatformImpl.`queryAuthenticationGrants(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<AuthenticationGrant>`
PlatformImpl.`queryAuthenticationGrants(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
Methods in org.gitana.platform.client.platform with parameters of type AuthenticationGrant
Modifier and Type
Method
Description
`void`
Platform.`deleteAuthenticationGrant(AuthenticationGrant authenticationGrant)`
`void`
PlatformImpl.`deleteAuthenticationGrant(AuthenticationGrant authenticationGrant)`
`void`
Platform.`updateAuthenticationGrant(AuthenticationGrant authenticationGrant)`
`void`
PlatformImpl.`updateAuthenticationGrant(AuthenticationGrant authenticationGrant)`

## Uses of AuthenticationGrant in org.gitana.platform.client.support

Methods in org.gitana.platform.client.support that return AuthenticationGrant
Modifier and Type
Method
Description
`AuthenticationGrant`
ObjectFactory.`authenticationGrant(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`AuthenticationGrant`
ObjectFactory.`authenticationGrant(Platform platform, Response response)`
`AuthenticationGrant`
ObjectFactoryImpl.`authenticationGrant(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`AuthenticationGrant`
ObjectFactoryImpl.`authenticationGrant(Platform platform, Response response)`
Methods in org.gitana.platform.client.support that return types with arguments of type AuthenticationGrant
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<AuthenticationGrant>`
ObjectFactory.`authenticationGrants(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<AuthenticationGrant>`
ObjectFactoryImpl.`authenticationGrants(Platform platform, Response response)`